Bug 842293 - [RFE] add CLI command to install errata on system
[RFE] add CLI command to install errata on system
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: API (Show other bugs)
6.0.3
Unspecified Unspecified
medium Severity medium (vote)
: Unspecified
: --
Assigned To: Martin Bacovsky
Sachin Ghai
: FutureFeature, Triaged
Depends On:
Blocks: 1130651
  Show dependency treegraph
 
Reported: 2012-07-23 07:54 EDT by Hayk Hovsepyan
Modified: 2017-02-23 16:20 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-12 01:07:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hayk Hovsepyan 2012-07-23 07:54:30 EDT
Description of problem:
Currently there is not any command to install errata on system by CLI.
The only way to do it is by WebUI.

Version-Release number of selected component (if applicable):
python-qpid-0.14-7.el6_2.noarch
qpid-cpp-server-0.14-14.el6_2.x86_64
katello-glue-candlepin-0.2.47-1.git.225.b3aa579.el6.noarch
pulp-1.1.11-1.el6.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-repos-0.2.6-1.el6.noarch
m2crypto-0.21.1.pulp-7.el6.x86_64
candlepin-0.5.32-1.el6.noarch
qpid-cpp-client-0.14-14.el6_2.x86_64
katello-common-0.2.47-1.git.225.b3aa579.el6.noarch
pulp-selinux-server-1.1.11-1.el6.noarch
katello-agent-1.0.4-1.git.11.1606589.el6.noarch
python-oauth2-1.5.170-2.pulp.el6.noarch
pulp-common-1.1.11-1.el6.noarch
katello-certs-tools-1.1.6-1.git.572.1606589.el6.noarch
qpid-cpp-server-ssl-0.14-14.el6_2.x86_64
katello-glue-pulp-0.2.47-1.git.225.b3aa579.el6.noarch
katello-0.2.47-1.git.225.b3aa579.el6.noarch
katello-configure-0.2.30-1.git.16.0e273d4.el6.noarch
candlepin-tomcat6-0.5.32-1.el6.noarch
katello-qpid-client-key-pair-1.0-1.noarch
katello-cli-0.2.43-1.git.16.350a9f2.el6.noarch
mod_wsgi-3.3-3.pulp.el6.x86_64
qpid-cpp-client-ssl-0.14-14.el6_2.x86_64
katello-glue-foreman-0.2.47-1.git.225.b3aa579.el6.noarch
katello-selinux-0.2.6-1.git.9.1606589.el6.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
katello-cli-common-0.2.43-1.git.16.350a9f2.el6.noarch


How reproducible:
always

Katello CLI does not have commands to install errata on system.

For example for system group we have: "system_group errata --install $errata --name $systemgroup --org $orgname".
Comment 1 Mike McCune 2013-08-16 13:56:46 EDT
getting rid of 6.0.0 version since that doesn't exist
Comment 2 Walden Raines 2014-09-24 15:17:41 EDT
We now have a way to do this:

hammer content-host errata apply
Comment 3 Sachin Ghai 2015-02-13 04:02:12 EST
yes we have command now to apply errata on content-host.

Verified with:
Satellite-6.1.0-RHEL-6-20150210.0
Sat6.1.0 beta snap2


[root@dhcp201-167 ~]# hammer --username admin --password changeme content-host errata --help

Usage:
    hammer content-host errata [OPTIONS] SUBCOMMAND [ARG] ...

Parameters:
 SUBCOMMAND                    subcommand
 [ARG] ...                     subcommand arguments

Subcommands:
 apply                         Schedule errata for installation
 info                          Retrieve a single errata for a system
 list                          List errata available for the content host

Options:
 -h, --help                    print help
[root@dhcp201-167 ~]#
Comment 4 Bryan Kearney 2015-08-11 09:24:42 EDT
This bug is slated to be released with Satellite 6.1.
Comment 5 errata-xmlrpc 2015-08-12 01:07:00 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1592

Note You need to log in before you can comment on or make changes to this bug.